Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.fst
Class HMMTrainerByLikelihood

    java.lang.Object
      cc.mallet.fst.TransducerTrainer
          cc.mallet.fst.HMMTrainerByLikelihood

    public class HMMTrainerByLikelihood

extends TransducerTrainer

Nested Class Summary

Nested classes/interfaces inherited from class cc.mallet.fst.TransducerTrainer
`TransducerTrainer.ByIncrements, TransducerTrainer.ByInstanceIncrements, TransducerTrainer.ByOptimization`

Constructor Summary
`HMMTrainerByLikelihood(HMM hmm)`

Method Summary
`int` | `getIteration()`
`Transducer` | `getTransducer()`
`boolean` | `isFinishedTraining()`
`boolean` | `train(InstanceList trainingSet, InstanceList unlabeledSet, int numIterations)`
`boolean` | `train(InstanceList trainingSet, int numIterations)` Train the transducer associated with this TransducerTrainer.

Methods inherited from class cc.mallet.fst.TransducerTrainer
`addEvaluator, addEvaluators, removeEvaluator, runEvaluators, train`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HMMTrainerByLikelihood

    public HMMTrainerByLikelihood(HMM hmm)

Method Detail

### getTransducer

    public Transducer getTransducer()

  Specified by:
    `getTransducer` in class `TransducerTrainer`

### getIteration

    public int getIteration()

  Specified by:
    `getIteration` in class `TransducerTrainer`

### isFinishedTraining

    public boolean isFinishedTraining()

  Specified by:
    `isFinishedTraining` in class `TransducerTrainer`

### train

    public boolean train(InstanceList trainingSet,
                         int numIterations)

  Description copied from class: `TransducerTrainer`
  Train the transducer associated with this TransducerTrainer. You should be able to call this method with different trainingSet objects. Whether this causes the TransducerTrainer to combine both trainingSets or to view the second as a new alternative is at the discretion of the particular TransducerTrainer subclass involved.

  Specified by:
    `train` in class `TransducerTrainer`

### train

    public boolean train(InstanceList trainingSet,
                         InstanceList unlabeledSet,
                         int numIterations)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD